From e5d3afd78be54fc6e958c7ebad178593fd030441 Mon Sep 17 00:00:00 2001
From: Francis Moreau <francis.moro@gmail.com>
Date: Mon, 11 Aug 2008 19:37:46 +0200
Subject: [PATCH] git-bisect: fix wrong usage of read(1)

Signed-off-by:  Francis Moreau <francis.moro@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
 git-bisect.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index 991b2ef37e..6c6c3de54a 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -220,7 +220,8 @@ bisect_next_check() {
 		if test -t 0
 		then
 			printf >&2 'Are you sure [Y/n]? '
-			case "$(read yesno)" in [Nn]*) exit 1 ;; esac
+			read yesno
+			case "$yesno" in [Nn]*) exit 1 ;; esac
 		fi
 		: bisect without good...
 		;;
-- 
2.40.0